import provideGlobal from "./provideGlobal";

export default async function () {
  const runtimeConfig = useRuntimeConfig();
  const appTitle = runtimeConfig.public.app.title;

  const { SEO } = await provideGlobal();
  const { metaTitle } = SEO ?? {};

  return metaTitle ?? appTitle;
}
