import type Global from "../types/single/global";

export default async function () {
  const { findOne } = useStrapi();
  const { data: global } = await useAsyncData("global", () => findOne<Global>("global"));
  const { logo, navbar, footer, SEO } = global.value?.data ?? {};

  return { logo, navbar, footer, SEO };
}
